package com.jiayue.ipp.idp.controller.an;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ipp.common.data.entity.an.ParsingNwpInfo;
import com.jiayue.ipp.idp.service.an.ParsingNwpInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingNwpController")
public class ParsingNwpController {
    @Autowired
    ParsingNwpInfoService parsingNwpInfoService;

    @ApiOperation(value = "添加Nwp配置", notes = "添加Nwp配置")
    @PostMapping()
    public R add(@RequestBody ParsingNwpInfo parsingNwpInfo) {
        if (parsingNwpInfoService.save(parsingNwpInfo)) {
            return R.ok("添加成功！");
        } else {
            return R.failed("添加失败！");
        }
    }

    @ApiOperation(value = "修改Nwp配置", notes = "修改Nwp配置")
    @PutMapping()
    public R update(@RequestBody ParsingNwpInfo parsingNwpInfo) {
        if (parsingNwpInfoService.updateById(parsingNwpInfo)) {
            return R.ok("修改成功！");
        } else {
            return R.failed("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Nwp配置", notes = "根据id删除Nwp配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingNwpInfoService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.failed("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Nwp配置", notes = "分页查询Nwp配置")
    @GetMapping("/page")
    public R page(ParsingNwpInfo parsingNwpInfo, Page page) {
        return R.ok(parsingNwpInfoService.page(page, Wrappers.query(parsingNwpInfo)));
    }
}
